Find the answer to your Linux question:
Results 1 to 10 of 10
hello after upgrading my OS (from debian Etch to lenny ) the following problems appeard : firstly in the appearences (there is no tool bars, task bar, ...) in the ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14

    Question problem after upgrading


    hello
    after upgrading my OS (from debian Etch to lenny ) the following
    problems appeard :
    firstly in the appearences (there is no tool bars, task bar, ...)
    in the kernel headers ( kernel headers don't match running Linux version.)
    i don't know how to correct those warnings and errors ??
    can u plz help me :

    Paramétrage de wacom-kernel-source (0.7.4.1-5) ...
    /var/lib/dpkg/info/wacom-kernel-source.postinst: line 49: [: too many arguments
    Warning: kernel headers don't match running Linux version.
    Building wacom modules for Linux _CODE 13262 (this may take a few
    minutes)...dpkg : erreur de traitement de wacom-kernel-source
    (--configure) :
    le sous-processus post-installation script a retourné une erreur de
    sortie d'état 2
    Des erreurs ont été rencontrées pendant l'exécution :
    wacom-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

  2. #2
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    ...dpkg : erreur de traitement de wacom-kernel-source
    (--configure) :
    le sous-processus post-installation script a retourné une erreur de
    sortie d'état 2
    Des erreurs ont été rencontrées pendant l'exécution :
    wacom-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Could you translate error message in English Language?

    Execute this
    Code:
    uname -a
    ls /boot
    Post output here.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  3. #3
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14
    thank you

    uname -a :

    Linux debian 2.6.26-1-686 #1 SMP Sat Jan 10 18:29:31 UTC 2009 i686 GNU/Linux

    ls /boot

    config-2.6.18-6-686 initrd.img-2.6.18-6-686.bak System.map-2.6.26-1-686
    config-2.6.26-1-686 initrd.img-2.6.26-1-686 vmlinuz-2.6.18-6-686
    grub initrd.img-2.6.26-1-686.bak vmlinuz-2.6.26-1-686
    initrd.img-2.6.18-6-686 System.map-2.6.18-6-686

  4. $spacer_open
    $spacer_close
  5. #4
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14
    this is the translation
    dpkg : error in the traitement of wacom-kernel-source
    (--configure) :
    the sub-process post-installation script returned a state output error 2
    some errors have been faced during the execution :
    wacom-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    i am sorry for my english
    thank u

  6. #5
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    You are using latest version of kernel.
    Problem is package manager only.
    Execute this
    Code:
    su -
    apt-get clean all
    apt-get update
    apt-get dist-upgrade
    Post error message here, if any.
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  7. #6
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14
    the same problem :

    Paramétrage de wacom-kernel-source (0.7.4.1-5) ...
    debconf: Impossible d'initialiser l'interface*: Dialog
    debconf: (L'interface dialog a besoin d'un écran d'au moins 13 lignes sur 31 colonnes.)
    debconf: Utilisation de l'interface Readline en remplacement
    /var/lib/dpkg/info/wacom-kernel-source.postinst: line 49: [: too many arguments
    Warning: kernel headers don't match running Linux version.
    Building wacom modules for Linux _CODE 13262 (this may take a few minutes)...dpkg*: erreur de traitement de wacom-kernel-source (--configure)*:
    le sous-processus post-installation script a retourné une erreur de sortie d'état 2
    Paramétrage de libgnutls26 (2.4.2-6+lenny1) ...
    Des erreurs ont été rencontrées pendant l'exécution*:
    wacom-kernel-source
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    what can i do

  8. #7
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Execute this
    Code:
    cd /var/lib/dpkg/info
    ls wacom*
    Delete all wacom files from info folder. Make sure to type correct command.
    Code:
    su -
    rm -rf wacom_filename(s)
    apt-get update
    apt-get dist-upgrade
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  9. #8
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14
    thank u devils casper the problem is solved
    but an other problem appeard can u please help me to resolve this probleme :
    dpkg*: Important warning: the file containing the list of the files of the package " wacom-kernel-source " being missing, it is considered that no file of the package is at present settled.

  10. #9
    Super Moderator devils casper's Avatar
    Join Date
    Jun 2006
    Location
    Chandigarh, India
    Posts
    24,729
    Re-install wacom-kernel-source.
    Code:
    su -
    dpkg --remove --force-remove-reinstreq wacom-kernel-source
    It is amazing what you can accomplish if you do not care who gets the credit.
    New Users: Read This First

  11. #10
    Just Joined!
    Join Date
    Feb 2009
    Posts
    14

    Lightbulb

    thank u devils casper
    you are professional

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •